package ex_nodecrud.view
{
	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.mediator.Mediator;

	public class ApplicationMediator extends Mediator implements IMediator
	{
		public static const NAME:String = "ApplicationMediator";
		
		public function ApplicationMediator(viewComponent:Application)
		{
			super(NAME, viewComponent);
			facade.registerMediator(new MainMediator(cView.cpsMainPanel));
		}
		
		override public function listNotificationInterests():Array
		{
			return [];
		}
		
		override public function handleNotification(note:INotification):void
		{
		}
		
		protected function get cView():Application
		{
			return viewComponent as Application;
		}
	}
}
